Subject: Re: [PATCH] read-cache.c: Ensure unmerged entries are removed

From: Junio C Hamano <[email-masked]>
Date: Mon, 18 Aug 2014 09:34:16 -0700

Jaime Soriano Pastor <[email-masked]> writes:

> I'd like to add some tests too for this, but I don't know how to
> reproduce this state with git commands only, is there any way to add
> entries to the index without checkings?

Perhaps feeding "update-index --index-info" four input lines would work?